
# Version 1: 29 August 2019

# This script is called by the main script "Forest_Carbon_MC.R."

#################################################################################################################
## INPUTS:  Total aboveground biomass mean values for trees on this plot
## OUTPUTS: Matrices for Jenkins-based total aboveground biomass (TAB) with either mean values or n random values
#################################################################################################################

if (nrow(tabDatPlot)>0){

######################### Jenkins et al. (2003) total aboveground biomass (TAB)
if (parGrp==5 || parGrp==10){
 
 this_plotID <- plots[i,1]
 this_tab_seed <- 1510.1992*(this_plotID^0.5)*(x^2)*parGrp
 rm(this_plotID)
 set.seed(this_tab_seed)

  # Generate n normally distributed random variables, truncated at zero
  tab<- t(mapply(rtruncnorm,n,0,Inf,tabDatPlot[,3],sqrt(tabDatPlot[,4])))
  
  # Add lookup IDs and mean values
  tab=cbind(tabDatPlot[,1:3],tab)

  rm(tabDatPlot, this_tab_seed)
 
}else{ 
  
  # Set parameters equal to their mean value
  tab<- as.matrix(tabDatPlot[,1:3])	
  rm(tabDatPlot)

}


}


